
#include <File.au3>

#cs

Moo2Poo is based on PoGreepie.

* msgunfmt.exe, gettextsrc.dll and gettextlib.dll in the same folder as the script
* a real operating system
* and, a file containing a list of paths to the files you want to process, one per line.

Optionally:

* an audio player, like Honken (or you can substitute VLC if you're into orange GUIs)
* a couple of Ogg Vorbis files of your favourite DNH band, like Tanzwut or Trollfest)

What the script does:

1. Asks the user for: the file with paths and the command line to be used (default given)
2. It determines the number of lines, then loops a loop for that number of times
3. The loop does the command using a line from the file, and outputs a file with a PO extension
4. I tried to make the script find your credit card details and e-mail it to me as well, but that feature is still in beta and not really guaranteed to work.

#ce

Global $i
Global $j

MsgBox (0, "Moo2Poo version 1.0", "(c) Samuel Murray, 2008, CC BY-SA, GPL, LGPL, etc." & @LF & @LF & "Moo2Poo is based on PoGreepie.  It performs a task on several files using a DOS window.", 10)

sleep ("100")

$listofwords = FileOpenDialog ("File with paths", "", "Text files (*.txt)|Other text files (*.*)")

sleep ("100")

$commandtorun = InputBox ("Command line to execute", "Double-check the commandline that will be executed (excluding input and output files).", "msgunfmt.exe --no-wrap")

sleep ("100")

; $motherfile = FileOpenDialog ("File to be pogrep'ed", "", "Po or pot files (*.po;*.pot)|Other files (*.*)")

sleep ("100")

;  Here we go...!

$listofwordsopen = FileOpen ($listofwords, 128)
$linecount = _FileCountLines ($listofwords)

$linereadstart = FileReadLine ($listofwords, 1)
$linereadend = FileReadLine ($listofwords, $linecount)

; MsgBox (0, "What will be done...", "Moo2Poo will now run " & $linecount & " of times, all the way from """ & $linereadstart & """ to """ & $linereadend & """.", 10)

$j = 0

For $i = 1 to $linecount

$lineread = FileReadLine ($listofwords, $i)

RunWait(@ComSpec & " /c " & $commandtorun & " -o """ & $lineread & ".po"" """ & $lineread & """", "", @SW_MINIMIZE)

$j = $j+1

Next

MsgBox (0, "Done!", $j & " files processed", 10)

